import { RingAuth, RingRestClient } from './rest-client';
import { Location } from './location';
import { ActiveDing, BaseStation, BeamBridge, CameraData, HistoricalDingGlobal, UserLocation } from './ring-types';
import { RingCamera } from './ring-camera';
export interface RingAlarmOptions {
    locationIds?: string[];
    cameraStatusPollingSeconds?: number;
    cameraDingsPollingSeconds?: number;
}
export declare class RingApi {
    readonly options: RingAlarmOptions & RingAuth;
    readonly restClient: RingRestClient;
    private locations;
    constructor(options: RingAlarmOptions & RingAuth);
    fetchRingDevices(): Promise<{
        doorbots: CameraData[];
        authorizedDoorbots: CameraData[];
        stickupCams: CameraData[];
        allCameras: CameraData[];
        baseStations: BaseStation[];
        beamBridges: BeamBridge[];
    }>;
    fetchActiveDings(): Promise<ActiveDing[] & import("./rest-client").ExtendedResponse>;
    private listenForCameraUpdates;
    fetchRawLocations(): Promise<UserLocation[]>;
    fetchAndBuildLocations(): Promise<Location[]>;
    getLocations(): Promise<Location[]>;
    getCameras(): Promise<RingCamera[]>;
    getHistory(limit?: number, favoritesOnly?: boolean): Promise<HistoricalDingGlobal[] & import("./rest-client").ExtendedResponse>;
}
