import { ResponseType } from 'axios';
export declare function clientApi(path: string): string;
export interface ExtendedResponse {
    responseTimestamp: number;
}
interface Session {
    hardwareId: string;
}
export interface EmailAuth {
    email: string;
    password: string;
}
export interface RefreshTokenAuth {
    refreshToken: string;
}
export declare type RingAuth = EmailAuth | RefreshTokenAuth;
export declare class RingRestClient {
    private authOptions;
    refreshToken: string | undefined;
    private authPromise;
    private sessionPromise;
    using2fa: boolean;
    constructor(authOptions: RingAuth);
    private getGrantData;
    private getAuthToken;
    private fetchNewSession;
    getSession(): Promise<Session>;
    private refreshAuth;
    private refreshSession;
    request<T = void>(options: {
        method?: 'GET' | 'POST' | 'PUT';
        url: string;
        data?: any;
        json?: boolean;
        responseType?: ResponseType;
    }): Promise<T & ExtendedResponse>;
}
export {};
