/// <reference types="node" />
import { ActiveDing, CameraData, CameraHealth, HistoricalDingGlobal } from './ring-types';
import { RingRestClient } from './rest-client';
import { BehaviorSubject, Subject } from 'rxjs';
export declare class RingCamera {
    private initialData;
    isDoorbot: boolean;
    private restClient;
    id: number;
    deviceType: import("./ring-types").RingCameraKind;
    model: string;
    hasLight: boolean;
    hasSiren: boolean;
    onData: BehaviorSubject<CameraData>;
    onRequestUpdate: Subject<unknown>;
    onNewDing: Subject<ActiveDing>;
    onActiveDings: BehaviorSubject<ActiveDing[]>;
    onDoorbellPressed: import("rxjs").Observable<ActiveDing>;
    onMotionDetected: import("rxjs").Observable<boolean>;
    onBatteryLevel: import("rxjs").Observable<number | null>;
    constructor(initialData: CameraData, isDoorbot: boolean, restClient: RingRestClient);
    updateData(update: CameraData): void;
    requestUpdate(): void;
    readonly data: CameraData;
    readonly name: string;
    readonly activeDings: ActiveDing[];
    readonly batteryLevel: number | null;
    doorbotUrl(path: string): string;
    setLight(on: boolean): Promise<boolean>;
    setSiren(on: boolean): Promise<boolean>;
    getHealth(): Promise<CameraHealth>;
    startVideoOnDemand(): Promise<void & import("./rest-client").ExtendedResponse>;
    getSipConnectionDetails(): Promise<ActiveDing>;
    processActiveDing(ding: ActiveDing): void;
    getHistory(limit?: number, favoritesOnly?: boolean): Promise<HistoricalDingGlobal[] & import("./rest-client").ExtendedResponse>;
    getRecording(dingIdStr: string): Promise<string>;
    private updateTimestamp;
    private refreshSnapshotInProgress?;
    hasSlowSnapshotRefresh: boolean;
    private refreshSnapshot;
    getSnapshot(allowStale?: boolean): Promise<Buffer & import("./rest-client").ExtendedResponse>;
}
