"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RingDeviceType;
(function (RingDeviceType) {
    RingDeviceType["BaseStation"] = "hub.redsky";
    RingDeviceType["Keypad"] = "security-keypad";
    RingDeviceType["SecurityPanel"] = "security-panel";
    RingDeviceType["ContactSensor"] = "sensor.contact";
    RingDeviceType["MotionSensor"] = "sensor.motion";
    RingDeviceType["RangeExtender"] = "range-extender.zwave";
    RingDeviceType["ZigbeeAdapter"] = "adapter.zigbee";
    RingDeviceType["AccessCodeVault"] = "access-code.vault";
    RingDeviceType["AccessCode"] = "access-code";
    RingDeviceType["SmokeAlarm"] = "alarm.smoke";
    RingDeviceType["CoAlarm"] = "alarm.co";
    RingDeviceType["SmokeCoListener"] = "listener.smoke-co";
    RingDeviceType["MultiLevelSwitch"] = "switch.multilevel";
    RingDeviceType["BeamsMotionSensor"] = "motion-sensor.beams";
    RingDeviceType["BeamsSwitch"] = "switch.multilevel.beams";
    RingDeviceType["BeamsLightGroupSwitch"] = "group.light-group.beams";
    RingDeviceType["BeamsTransformerSwitch"] = "switch.transformer.beams";
})(RingDeviceType = exports.RingDeviceType || (exports.RingDeviceType = {}));
var RingCameraKind;
(function (RingCameraKind) {
    RingCameraKind["doorbot"] = "doorbot";
    RingCameraKind["doorbell"] = "doorbell";
    RingCameraKind["doorbell_v3"] = "doorbell_v3";
    RingCameraKind["doorbell_v4"] = "doorbell_v4";
    RingCameraKind["doorbell_v5"] = "doorbell_v5";
    RingCameraKind["doorbell_portal"] = "doorbell_portal";
    RingCameraKind["lpd_v1"] = "lpd_v1";
    RingCameraKind["lpd_v2"] = "lpd_v2";
    RingCameraKind["jbox_v1"] = "jbox_v1";
    RingCameraKind["stickup_cam"] = "stickup_cam";
    RingCameraKind["stickup_cam_v3"] = "stickup_cam_v3";
    RingCameraKind["stickup_cam_elite"] = "stickup_cam_elite";
    RingCameraKind["stickup_cam_lunar"] = "stickup_cam_lunar";
    RingCameraKind["spotlightw_v2"] = "spotlightw_v2";
    RingCameraKind["hp_cam_v1"] = "hp_cam_v1";
    RingCameraKind["hp_cam_v2"] = "hp_cam_v2";
    RingCameraKind["stickup_cam_v4"] = "stickup_cam_v4";
    RingCameraKind["floodlight_v1"] = "floodlight_v1";
    RingCameraKind["floodlight_v2"] = "floodlight_v2";
})(RingCameraKind = exports.RingCameraKind || (exports.RingCameraKind = {}));
exports.RingCameraModel = {
    doorbot: 'Doorbell',
    doorbell: 'Doorbell',
    doorbell_v3: 'Doorbell',
    doorbell_v4: 'Doorbell 2',
    doorbell_v5: 'Doorbell 2',
    doorbell_portal: 'Door View Cam',
    lpd_v1: 'Doorbell Pro',
    lpd_v2: 'Doorbell Pro',
    jbox_v1: 'Doorbell Elite',
    stickup_cam: 'Stick Up Cam',
    stickup_cam_v3: 'Stick Up Cam',
    stickup_cam_elite: 'Stick Up Cam',
    stickup_cam_lunar: 'Stick Up Cam',
    spotlightw_v2: 'Spotlight Cam',
    hp_cam_v1: 'Floodlight Cam',
    hp_cam_v2: 'Spotlight Cam',
    stickup_cam_v4: 'Spotlight Cam',
    floodlight_v1: 'Floodlight Cam',
    floodlight_v2: 'Floodlight Cam'
};
exports.deviceTypesWithVolume = [
    RingDeviceType.BaseStation,
    RingDeviceType.Keypad
];
