"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const debug = require("debug");
const colors_1 = require("colors");
const crypto_1 = require("crypto");
const readline_1 = require("readline");
const logger = debug('ring-alarm');
function delay(milliseconds) {
    return new Promise(resolve => {
        setTimeout(resolve, milliseconds);
    });
}
exports.delay = delay;
function logInfo(message) {
    logger(message);
}
exports.logInfo = logInfo;
function logError(message) {
    logger(colors_1.red(message));
}
exports.logError = logError;
function generateRandomId() {
    const id = crypto_1.randomBytes(16).toString('hex');
    return (id.substr(0, 8) +
        '-' +
        id.substr(8, 4) +
        '-' +
        id.substr(12, 4) +
        '-' +
        id.substr(16, 4) +
        '-' +
        id.substr(20, 12));
}
exports.generateRandomId = generateRandomId;
function requestInput(question) {
    return __awaiter(this, void 0, void 0, function* () {
        const lineReader = readline_1.createInterface({
            input: process.stdin,
            output: process.stdout
        }), answer = yield new Promise(resolve => {
            lineReader.question(question, resolve);
        });
        lineReader.close();
        return answer.trim();
    });
}
exports.requestInput = requestInput;
