import { RingCamera, RingDevice } from '../api';
import { HAP } from './hap';
import Service = HAP.Service;
import { Observable } from 'rxjs';
import { RingAlarmPlatformConfig } from './config';
export declare abstract class BaseAccessory<T extends RingDevice | RingCamera> {
    abstract readonly device: T;
    abstract readonly accessory: HAP.Accessory;
    abstract readonly logger: HAP.Log;
    abstract readonly config: RingAlarmPlatformConfig;
    getService(serviceType: HAP.Service, name?: string): HAP.Service;
    registerCharacteristic(characteristicType: HAP.Characteristic, serviceType: Service, getValue: (data: T['data']) => any, setValue?: (data: any) => any, setValueDebounceTime?: number, name?: string, requestUpdate?: () => any): void;
    registerLevelCharacteristic(characteristicType: HAP.Characteristic, serviceType: Service, getValue: (data: T['data']) => number, setValue: (data: any) => any): void;
    registerObservableCharacteristic(characteristicType: HAP.Characteristic, serviceType: Service, onValue: Observable<any>, name?: string): void;
    removeService(service: Service): void;
}
