"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const hap_1 = require("./hap");
// SOMEDAY: implement stream prepareStream and handleStreamRequest
class CameraSource {
    constructor(ringCamera) {
        this.ringCamera = ringCamera;
        this.services = [];
        this.streamControllers = [];
        let options = {
            video: {
                resolutions: [],
                codec: {
                    profiles: [],
                    levels: []
                }
            },
            audio: {
                codecs: []
            }
        };
        this.services.push(new hap_1.hap.Service.CameraControl());
        for (let i = 0; i < 2; i++) {
            const streamController = new hap_1.hap.StreamController(i, options, this);
            this.services.push(streamController.service);
            this.streamControllers.push(streamController);
        }
    }
    handleSnapshotRequest(request, callback) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const snapshot = yield this.ringCamera.getSnapshot(true);
                // Not currently resizing the image.
                // HomeKit does a good job of resizing and doesn't seem to care if it's not right
                callback(undefined, snapshot);
            }
            catch (e) {
                callback(e);
            }
        });
    }
    handleCloseConnection(connectionID) { }
    prepareStream(request, callback) {
        // intentionally ignore the request.  This prevents "No Response" overlay for about 20s
    }
    handleStreamRequest(request) { }
}
exports.CameraSource = CameraSource;
