"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const base_device_accessory_1 = require("./base-device-accessory");
const hap_1 = require("./hap");
class SmokeAlarm extends base_device_accessory_1.BaseDeviceAccessory {
    constructor(device, accessory, logger, config) {
        super();
        this.device = device;
        this.accessory = accessory;
        this.logger = logger;
        this.config = config;
        const { Characteristic: { SmokeDetected }, Service: { SmokeSensor } } = hap_1.hap;
        this.registerCharacteristic(SmokeDetected, SmokeSensor, data => {
            return data.alarmStatus === 'active'
                ? SmokeDetected.SMOKE_DETECTED
                : SmokeDetected.SMOKE_NOT_DETECTED;
        });
        this.initSensorService(SmokeSensor);
    }
}
exports.SmokeAlarm = SmokeAlarm;
